<?php

use Tangibledesign\Framework\Models\User\User;
use Tangibledesign\Listivo\Widgets\General\PanelWidget;

/* @var PanelWidget $lstCurrentWidget */
global $lstCurrentWidget;

$lstCurrentUser = tdf_current_user();
if (!$lstCurrentUser instanceof User) {
    return;
}
?>
<lst-user-socials
        class="listivo-panel-accordions__item listivo-panel-accordion"
        request-url="<?php echo esc_url(tdf_action_url('listivo/user/socials/save')); ?>"
        td-nonce="<?php echo esc_attr(wp_create_nonce('listivo_save_user_socials')); ?>"
        success-text="<?php echo esc_attr(tdf_string('changes_have_been_saved')); ?>"
        error-text="<?php echo esc_attr(tdf_string('something_went_wrong')); ?>"
        confirm-button-text="<?php echo esc_attr(tdf_string('ok')); ?>"
        :initial-socials="<?php echo htmlspecialchars(json_encode($lstCurrentWidget->getUserSocials())); ?>"
>
    <div
            slot-scope="props"
            class="listivo-panel-accordions__item listivo-panel-accordion"
            :class="{'listivo-panel-accordion--active': accordions.open === 'user_socials'}"
    >
        <div
                class="listivo-panel-accordion__top"
                @click="accordions.onOpen('user_socials')"
        >
            <h3 class="listivo-panel-accordion__label">
                <?php echo esc_html(tdf_string('set_social_links')); ?>
            </h3>

            <div class="listivo-panel-accordion__icon">
                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="14"
                     viewBox="0 0 16 14"
                     fill="none">
                    <path d="M6.0872 0.243733C6.25012 0.0808152 6.46304 -0.000435034 6.67637 -0.000435034C6.88971 -0.000435034 7.10263 0.0808152 7.26554 0.243733C7.59096 0.569152 7.59096 1.09666 7.26554 1.42208L2.85468 5.83294L14.1764 5.83294C14.6364 5.83294 15.0098 6.20627 15.0098 6.66628C15.0098 7.12628 14.6364 7.49962 14.1764 7.49962L2.85468 7.49962L7.26554 11.9105C7.59096 12.2359 7.59096 12.7634 7.26554 13.0888C6.94013 13.4142 6.41262 13.4142 6.0872 13.0888L0.25383 7.25545C-0.0715891 6.93003 -0.0715891 6.40253 0.25383 6.07711L6.0872 0.243733Z"
                          fill="#2A3946"/>
                </svg>
            </div>
        </div>

        <form @submit.prevent="props.onSave">
            <div class="listivo-panel-accordion__content-wrapper listivo-panel-accordion__content-wrapper--user_socials">
                <div class="listivo-panel-accordion__content">
                    <div class="listivo-panel-user-socials">
                        <div class="listivo-field-group">
                            <label
                                    class="listivo-field-group__label"
                                    for="listivo-facebook"
                            >
                                <?php echo esc_html(tdf_string('facebook')); ?>
                            </label>

                            <div class="listivo-field-group__field">
                                <div
                                        class="listivo-input-v2 listivo-input-v2--with-icon"
                                        :class="{'listivo-input-v2--active': props.facebook !== ''}"
                                >
                                    <div class="listivo-input-v2__icon">
                                        <div class="listivo-icon-v2">
                                            <i class="fab fa-facebook-f"></i>
                                        </div>
                                    </div>

                                    <input
                                            id="listivo-facebook"
                                            type="text"
                                            :value="props.facebook"
                                            @input="props.setFacebook($event.target.value)"
                                            placeholder="<?php echo esc_attr(tdf_string('enter_facebook_url')); ?>"
                                    >
                                </div>
                            </div>
                        </div>

                        <div class="listivo-field-group">
                            <label
                                    class="listivo-field-group__label"
                                    for="listivo-twitter"
                            >
                                <?php echo esc_html(tdf_string('twitter')); ?>
                            </label>

                            <div class="listivo-field-group__field">
                                <div
                                        class="listivo-input-v2 listivo-input-v2--with-icon"
                                        :class="{'listivo-input-v2--active': props.twitter !== ''}"
                                >
                                    <div class="listivo-input-v2__icon">
                                        <div class="listivo-icon-v2">
                                            <i class="fab fa-twitter"></i></div>
                                    </div>

                                    <input
                                            id="listivo-twitter"
                                            type="text"
                                            :value="props.twitter"
                                            @input="props.setTwitter($event.target.value)"
                                            placeholder="<?php echo esc_attr(tdf_string('enter_twitter_url')); ?>"
                                    >
                                </div>
                            </div>
                        </div>

                        <div class="listivo-field-group">
                            <label
                                    class="listivo-field-group__label"
                                    for="listivo-instagram"
                            >
                                <?php echo esc_html(tdf_string('instagram')); ?>
                            </label>

                            <div class="listivo-field-group__field">
                                <div
                                        class="listivo-input-v2 listivo-input-v2--with-icon"
                                        :class="{'listivo-input-v2--active': props.instagram !== ''}"
                                >
                                    <div class="listivo-input-v2__icon">
                                        <div class="listivo-icon-v2">
                                            <i class="fab fa-instagram"></i>
                                        </div>
                                    </div>

                                    <input
                                            id="listivo-instagram"
                                            type="text"
                                            :value="props.instagram"
                                            @input="props.setInstagram($event.target.value)"
                                            placeholder="<?php echo esc_attr(tdf_string('enter_instagram_url')); ?>"
                                    >
                                </div>
                            </div>
                        </div>

                        <div class="listivo-field-group">
                            <label
                                    class="listivo-field-group__label"
                                    for="listivo-youtube"
                            >
                                <?php echo esc_html(tdf_string('youtube')); ?>
                            </label>

                            <div class="listivo-field-group__field">
                                <div
                                        class="listivo-input-v2 listivo-input-v2--with-icon"
                                        :class="{'listivo-input-v2--active': props.youtube !== ''}"
                                >
                                    <div class="listivo-input-v2__icon">
                                        <div class="listivo-icon-v2">
                                            <i class="fab fa-youtube"></i>
                                        </div>
                                    </div>

                                    <input
                                            id="listivo-youtube"
                                            type="text"
                                            :value="props.youtube"
                                            @input="props.setYoutube($event.target.value)"
                                            placeholder="<?php echo esc_attr(tdf_string('enter_youtube_url')); ?>"
                                    >
                                </div>
                            </div>
                        </div>

                        <div class="listivo-field-group">
                            <label
                                    class="listivo-field-group__label"
                                    for="listivo-linkedin"
                            >
                                <?php echo esc_html(tdf_string('linkedin')); ?>
                            </label>

                            <div class="listivo-field-group__field">
                                <div
                                        class="listivo-input-v2 listivo-input-v2--with-icon"
                                        :class="{'listivo-input-v2--active': props.linkedin !== ''}"
                                >
                                    <div class="listivo-input-v2__icon">
                                        <div class="listivo-icon-v2">
                                            <i class="fab fa-linkedin-in"></i>
                                        </div>
                                    </div>

                                    <input
                                            id="listivo-linkedin"
                                            type="text"
                                            :value="props.linkedin"
                                            @input="props.setLinkedin($event.target.value)"
                                            placeholder="<?php echo esc_attr(tdf_string('enter_linkedin_url')); ?>"
                                    >
                                </div>
                            </div>
                        </div>

                        <div class="listivo-field-group">
                            <label
                                    class="listivo-field-group__label"
                                    for="listivo-tiktok"
                            >
                                <?php echo esc_html(tdf_string('tiktok')); ?>
                            </label>

                            <div class="listivo-field-group__field">
                                <div
                                        class="listivo-input-v2 listivo-input-v2--with-icon"
                                        :class="{'listivo-input-v2--active': props.tiktok !== ''}"
                                >
                                    <div class="listivo-input-v2__icon">
                                        <div class="listivo-icon-v2">
                                            <i class="fab fa-tiktok"></i>
                                        </div>
                                    </div>

                                    <input
                                            id="listivo-tiktok"
                                            type="text"
                                            :value="props.tiktok"
                                            @input="props.setTiktok($event.target.value)"
                                            placeholder="<?php echo esc_attr(tdf_string('enter_tiktok_url')); ?>"
                                    >
                                </div>
                            </div>
                        </div>

                        <div class="listivo-field-group">
                            <label
                                    class="listivo-field-group__label"
                                    for="listivo-tiktok"
                            >
                                <?php echo esc_html(tdf_string('telegram')); ?>
                            </label>

                            <div class="listivo-field-group__field">
                                <div
                                        class="listivo-input-v2 listivo-input-v2--with-icon"
                                        :class="{'listivo-input-v2--active': props.telegram !== ''}"
                                >
                                    <div class="listivo-input-v2__icon">
                                        <div class="listivo-icon-v2">
                                            <i class="fab fa-telegram"></i>
                                        </div>
                                    </div>

                                    <input
                                            id="listivo-telegram"
                                            type="text"
                                            :value="props.telegram"
                                            @input="props.setTelegram($event.target.value)"
                                            placeholder="<?php echo esc_attr(tdf_string('enter_telegram_url')); ?>"
                                    >
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="listivo-panel-accordion__bottom">
                    <button
                            class="listivo-button listivo-button--primary-1 listivo-button-primary-1-colors-with-stroke-selector listivo-button-primary-1-colors-with-stroke-selector listivo-button-primary-1-colors-with-stroke-selector"
                            :class="{'listivo-button--loading': props.inProgress}"
                            :disabled="props.inProgress"
                    >
                        <span>
                            <?php echo esc_html(tdf_string('save_changes')); ?>

                            <svg xmlns="http://www.w3.org/2000/svg" width="14"
                                 height="10"
                                 viewBox="0 0 14 10" fill="none">
                                <rect x="12.2676" y="0.646447" width="1.53602"
                                      height="11.5509"
                                      rx="0.768011"
                                      transform="rotate(45 12.2676 0.646447)"
                                      fill="#FDFDFE" stroke="#FDFDFE"
                                      stroke-width="0.5"/>
                                <path d="M1.19345 4.98425C0.891119 5.28658 0.897654 5.77873 1.20791 6.07292L4.70642 9.39036C4.94829 9.61971 5.32032 9.64118 5.58696 9.44116C5.91859 9.1924 5.95423 8.70807 5.66258 8.41344L2.27076 4.98699C1.97447 4.68767 1.49125 4.68644 1.19345 4.98425Z"
                                      fill="#FDFDFE" stroke="#FDFDFE"
                                      stroke-width="0.5"/>
                            </svg>
                        </span>

                        <template>
                            <svg
                                    width='40'
                                    height='10'
                                    viewBox='0 0 120 30'
                                    xmlns='http://www.w3.org/2000/svg'
                                    fill='#fff'
                                    class="listivo-button__loading"
                            >
                                <circle cx='15' cy='15' r='15'>
                                    <animate attributeName='r' from='15' to='15' begin='0s'
                                             dur='0.8s' values='15;9;15'
                                             calcMode='linear' repeatCount='indefinite'/>
                                    <animate attributeName='fill-opacity' from='1' to='1' begin='0s'
                                             dur='0.8s'
                                             values='1;.5;1'
                                             calcMode='linear' repeatCount='indefinite'/>
                                </circle>

                                <circle cx='60' cy='15' r='9' fill-opacity='0.3'>
                                    <animate attributeName='r' from='9' to='9' begin='0s' dur='0.8s'
                                             values='9;15;9'
                                             calcMode='linear' repeatCount='indefinite'/>
                                    <animate attributeName='fill-opacity' from='0.5' to='0.5'
                                             begin='0s' dur='0.8s'
                                             values='.5;1;.5' calcMode='linear'
                                             repeatCount='indefinite'/>
                                </circle>

                                <circle cx='105' cy='15' r='15'>
                                    <animate attributeName='r' from='15' to='15' begin='0s'
                                             dur='0.8s' values='15;9;15'
                                             calcMode='linear' repeatCount='indefinite'/>
                                    <animate attributeName='fill-opacity' from='1' to='1' begin='0s'
                                             dur='0.8s'
                                             values='1;.5;1'
                                             calcMode='linear' repeatCount='indefinite'/>
                                </circle>
                            </svg>
                        </template>
                    </button>
                </div>
            </div>
        </form>
    </div>
</lst-user-socials>